Summary: Additional addons for Asterisk: the Open Source Linux PBX
Name: asterisk-addons14
Version: 1.4.13
Release: 28%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org/
Source0: http://ftp.digium.com/pub/asterisk/asterisk-addons-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: asterisk14 >= %{version}
BuildRequires: asterisk14-devel >= %{version}, mysql-devel, zlib-devel
Obsoletes: asterisk-addons < %{evr}
Conflicts: asterisk-addons, asterisk-addons12, asterisk-addons160, asterisk-addons161, asterisk-addons16, asterisk-addons18

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.
This package contains additional addons for asterisk.

%prep
%setup -q -n asterisk-addons-%{version}
%ifarch x86_64
perl -pi -e's,^CFLAGS=,CFLAGS=-fPIC ,' format_mp3/Makefile
%endif
perl -pi -e's,/lib/,/%{_lib}/,g' Makefile format_mp3/Makefile

%build
%configure
make


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/cdr_mysql.txt
%{_libdir}/asterisk/modules/*.so

%changelog
* Sat Mar 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.13-28
- Update to 1.4.13.

* Sun Oct 10 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.12-27
- Update to 1.4.12.

* Sun May 23 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.11-26
- Update to 1.4.11.

* Sat Feb 13 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.10-25
- Update to 1.4.10.

* Sun Aug 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.9-24
- Rename to asterisk-addons14.

* Wed Aug 05 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:1.4.9-23
- Update to 1.4.9.

* Fri Jun 05 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:1.4.8-22
- Update to 1.4.8.

* Wed Jul 2 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:1.4.7-21
- Update to 1.4.7.

* Sat Feb 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.6-20
- Update to 1.4.6.

* Sat Dec  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.5-19
- Update to 1.4.5.

* Tue Nov 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.4-18
- Update to 1.4.4.

* Tue Oct  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.3-17
- Update to 1.4.3.

* Tue Jun 19 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.2-16
- Update to 1.4.2.

* Wed Apr 25 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.1-15
- Update to 1.4.1

* Tue Dec 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.0-14
- Update to 1.4.0.

* Wed Dec  6 2006 Alexander Bergolth <leo@leo.wu-wien.ac.at> - 1:1.4.0-13_beta2
- First try with 1.4.0-beta2

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.5-12
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.5-11
- Update to 1.2.5.

* Fri Aug 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-10
- Update to 1.2.4.

* Sat Jun  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Sat Jul 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Mon Mar 07 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial version
